### Constructor

# Gtk GesturePan new

#### Declaration [src]

    GtkGesture*
    gtk_gesture_pan_new (
      GtkOrientation orientation
    )

#### Description [src]

Returns a newly created `GtkGesture` that recognizes pan gestures.

#### Parameters

`orientation`

  Type: `GtkOrientation`

  Expected orientation.

#### Return value

Type: `GtkGesture`

A newly created `GtkGesturePan`

The caller of the function takes ownership of the data, and is responsible for freeing it.